name: 'Networking tunnel: gre basic'
universal_id: redhat_gre
origin: kernel_public_tests
location: networking/tunnel/gre/basic
maintainers:
  - name: Jianlin Shi
    email: jishi@redhat.com
    gitlab: linup2011
  - name: Jianwen Ji
    email: jiji@redhat.com
    gitlab: jijianwen
  - name: Hangbin Liu
    email: haliu@redhat.com
    gitlab: liuhangbin
enabled:
  trees:
    not:
      or:
        - rhel6.*
        # eln only run an small set of tests
        - eln
target_sources:
  - include/linux/netdevice\.h
  - include/net/gre\.h
  - net/ipv4/ip_gre\.c
  - net/ipv6/ip6_gre\.c
  - net/ipv4/gre_demux\.c
  - net/ipv4/gre_offload\.c
  - net/ipv4/ip_tunnel.*
  - net/ipv6/ip6_tunnel\.c
trigger_sources:
  - drivers/net/.*
  - include/net/.*
  - net/.*
sets:
  - cloud
  - net
max_duration_seconds: 1800
